<?php 
// Muster Software Copyright (c) Henrik Bechmann, Toronto, Canada 2012. All rights reserved.
// See "musterlicence.txt" for licencing information.
// mustersoftware.net
/*
	This is a stub for an interface to Json column types
*/
namespace Muster;

use StdClass;

defined('SYSPATH') or die('No direct script access.');

class JsonField {
	protected $_data; // stdClass
	public function __construct($data)
	{
		if (is_string($data)) {
			$data = json_decode($data);
		}
		$this->_data = $data;
	}
	public function __get($index)
	{
		$data = $this->_data;
		if (property_exists($data,$index))
			return $data->$index;
		else
			return NULL;
	}
	public function __set($index,$value)
	{
		$this->_data->$index = $value;
	}
	// get or set data
	public function data($data = NULL)
	{
		if (!is_null($data))
			$this->_data = $data;
		return $this->_data;
	}
}