<?php 
namespace Muster\Point;

use Point;

defined('SYSPATH') or die('No direct script access.');
// Muster Software Copyright (c) Henrik Bechmann, Toronto, Canada 2012. All rights reserved.
// See "musterlicence.txt" for licencing information.
// mustersoftware.net
class Container extends Point {
	public const ACTION = 'Action'; // an action on current controller
	public const FILE = 'File'; // table lookup
	public const FOLDER = 'Folder'; // table lookup
	public const MENU = 'Menu'; // controller target
	
	public $block;
	public $type; // one of the above constants
	public $name; // unique within a block
	public $title;
	public $description;
	public $target;
	public $action;
	
	public function type($type)
	{
		if ($type) {
			$this->$type = $type;
			return $this;
		} else {
			return $this->type;
		}
	}
}