<?php 

defined('SYSPATH') or die('No direct script access.');
// Muster Software Copyright (c) Henrik Bechmann, Toronto, Canada 2012. All rights reserved.
// See "musterlicence.txt" for licencing information.
// mustersoftware.net
class Controller_Database extends Controller_Site {

	public function action_index()
	{
		$this->_list();
	}
	#----------------[ List ]----------------------
	public function _list()
	{
		# get data
		$node = Base\Node::database_list($this);
		$data = $node->generate();
		extract($data);
		# create templates
		$wrapperview = Template::view(array('database_list_wrapper'));
		$listview = Template::view(array('database_list'),$dictionary);
		$sideview = Template::view(array('database_list_sidebar'),$admindictionary);
		# combine templates
		$wrapperview->listcontents = $listview;
		$pageview = $this->_pageview;
		$pageview->centercolumn = $wrapperview;
		$pageview->leftcolumn = $sideview;
		# finish
		$pageview->canonical = 'http://' . System::instance()->Website . $this->_base . 'database/';
		$pageview->title = 'Database - List';
		$this->show_resources();
		$this->response->body($pageview);
	}
}