<?php defined('SYSPATH') or die('No direct script access.');
// Muster Software Copyright (c) Henrik Bechmann, Toronto, Canada 2012. All rights reserved.
// See "musterlicence.txt" for licencing information.
// mustersoftware.net

// params = type,selector,code,id
class Controller_SubItems Extends Controller_Site {
	public function before()
	{
		$this->_template = 'template_frame'; // minimal template for iframes
		parent::before();
	}
	public function action_index()
	{
		$type = $this->request->param('type');
		switch($type) {
			case 'comment':
				$this->_comment();
		}
	}
	protected function _comment()
	{
		# get data
		$articleid = $this->request->param('selector');
		$node = Base\Node::comment_record($this);
		$subcontext = new StdClass;
		$subcontext->articleid = $articleid;
		$node->extend_context($subcontext);
		$data = $node->generate();
		extract($data);
		# create templates
		$recordview = Template::view(array('comment_record'),$dictionary);
		# combine templates
		$pageview = $this->_pageview;
		$pageview->headerelements = (object) array('headerelement' => '<base target="_top" />');
		$pageview->centercolumn = $recordview;
		# finish
		$this->show_resources();
		$this->response->body($pageview);
	}
}
