<?php defined('SYSPATH') or die('No direct script access.');
// Muster Software Copyright (c) Henrik Bechmann, Toronto, Canada 2012. All rights reserved.
// See "musterlicence.txt" for licencing information.
// mustersoftware.net
/*
	add actions for register, login, logout, account + profile, confirm, profiles
*/
class Controller_Website Extends Controller_Site {
	public function action_index()
	{
		$this->request->redirect('website/about');
	}
	
	public function before()
	{
		// first modify settings, notably _navigation_block and _navigation_item
		
		parent::before();
	}
	
	public function action_about()
	{
		$pageview = $this->_pageview;
		$pageview->title = 'Website - About';
		$pageview->centercolumn = 'about';
		$this->response->body($pageview);
	}
	
	public function action_policies()
	{
		$pageview = $this->_pageview;
		$pageview->title = 'Website Policies';
		$pageview->centercolumn = 'policies';
		$this->response->body($pageview);
	}
	public function action_help()
	{
		$pageview = $this->_pageview;
		$pageview->title = 'Website Help';
		$pageview->centercolumn = 'help';
		$this->response->body($pageview);
	}
}
