<?php defined('SYSPATH') or die('No direct script access.');

return array(
	'admincollaboratorpartials' => array(
		'collaborator' => array('partial_admin_collaborator'),
	),
	'collaboratorpartials' => array(
		'collaborator' => array('partial_collaborator'),
	),
	'admincontainerpartials' => array(
		'folder' => array('partial_admin_container_folder'),
		'file' => array('partial_admin_container_file'),
		'inbox' => array('partial_admin_container_inbox'),
		'directory' => array('partial_admin_container_directory'),
	),
	'containerpartials' => array(
		'folder' => array('partial_container_folder'),
		'file' => array('partial_container_file'),
		'inbox' => array('partial_container_inbox'),
		'directory' => array('partial_container_directory'),
	),
	'masterpartials' => array(
		'treetop' => array('partial_master_treetop'),
		'ftreetop' => array('partial_master_ftreetop'),
		'itreetop' => array('partial_master_itreetop'),
		'folder' => array('partial_master_folder'),
		'inbox' => array('partial_master_inbox'),
		'blog' => array('partial_master_blog'),
		'document' => array('partial_master_document'),
		'entry' => array('partial_master_entry'),
		'page' => array('partial_master_page'),
		'file' => array('partial_master_file'),
		'directory' => array('partial_master_directory'),
		'directories' => array('partial_master_directories'),
		'picture' => array('partial_master_picture'),
		'docfile' => array('partial_master_docfile'),
		'docextract' => array('partial_master_docextract'),
		'link' => array('partial_master_link'),
		'contact' => array('partial_master_contact'),
		'widget' => array('partial_master_widget'),
	),
	'adminnodepartials' => array(
		'blog' => array('partial_admin_node_blog'),
		'folder' => array('partial_admin_node_folder'),
		'file' => array('partial_admin_node_file'),
		'directory' => array('partial_admin_node_directory'),
		'inbox' => array('partial_admin_node_inbox'),
		'document' => array('partial_admin_node_document'),
		'entry' => array('partial_admin_node_entry'),
		'picture' => array('partial_admin_node_picture'),
		'docfile' => array('partial_admin_node_docfile'),
		'docextract' => array('partial_admin_node_docextract'),
		'link' => array('partial_admin_node_link'),
		'contact' => array('partial_admin_node_contact'),
		'comment' => array('partial_admin_node_comment'),
		'widget' => array('partial_admin_node_widget'),
	),
	'nodepartials' => array(
		'list' => array( // 1 line
			'blog' => array('partial_node_list_blog'),
			'folder' => array('partial_node_list_folder'),
			'file' => array('partial_node_list_file'),
			'directory' => array('partial_node_list_directory'),
			'inbox' => array('partial_node_list_inbox'),
			'document' => array('partial_node_list_document'),
			'entry' => array('partial_node_list_entry'),
			'picture' => array('partial_node_list_picture'),
			'docfile' => array('partial_node_list_docfile'),
			'docextract' => array('partial_node_list_docextract'),
			'link' => array('partial_node_list_link'),
			'contact' => array('partial_node_list_contact'),
			'comment' => array('partial_node_list_comment'),
			'page' => array('partial_node_list_page'),
			'widget' => array('partial_node_list_widget'),
		),
		'planks' => array( // several lines
			'blog' => array('partial_node_plank_blog'),
			'folder' => array('partial_node_plank_folder'),
			'file' => array('partial_node_plank_file'),
			'directory' => array('partial_node_plank_directory'),
			'inbox' => array('partial_node_plank_inbox'),
			'document' => array('partial_node_plank_document'),
			'entry' => array('partial_node_plank_entry'),
			'picture' => array('partial_node_plank_picture'),
			'docfile' => array('partial_node_plank_docfile'),
			'docextract' => array('partial_node_plank_docextract'),
			'link' => array('partial_node_plank_link'),
			'contact' => array('partial_node_plank_contact'),
			'comment' => array('partial_node_plank_comment'),
			'page' => array('partial_node_plank_page'),
			'widget' => array('partial_node_plank_widget'),
		),
		'table' => array( // data columns
			'blog' => array('partial_node_table_blog'),
			'folder' => array('partial_node_table_folder'),
			'file' => array('partial_node_table_file'),
			'directory' => array('partial_node_table_directory'),
			'inbox' => array('partial_node_table_inbox'),
			'document' => array('partial_node_table_document'),
			'entry' => array('partial_node_table_entry'),
			'picture' => array('partial_node_table_picture'),
			'docfile' => array('partial_node_table_docfile'),
			'docextract' => array('partial_node_table_docextract'),
			'link' => array('partial_node_table_link'),
			'contact' => array('partial_node_table_contact'),
			'comment' => array('partial_node_table_comment'),
			'page' => array('partial_node_table_page'),
			'widget' => array('partial_node_table_widget'),
		),
		'smalltiles' => array( // 6 columns, sort horizontally - 100px
			'blog' => array('partial_node_smalltile_blog'),
			'folder' => array('partial_node_smalltile_folder'),
			'file' => array('partial_node_smalltile_file'),
			'directory' => array('partial_node_smalltile_directory'),
			'inbox' => array('partial_node_smalltile_inbox'),
			'document' => array('partial_node_smalltile_document'),
			'entry' => array('partial_node_smalltile_entry'),
			'picture' => array('partial_node_smalltile_picture'),
			'docfile' => array('partial_node_smalltile_docfile'),
			'docextract' => array('partial_node_smalltile_docextract'),
			'link' => array('partial_node_smalltile_link'),
			'contact' => array('partial_node_smalltile_contact'),
			'comment' => array('partial_node_smalltile_comment'),
			'page' => array('partial_node_smalltile_page'),
			'widget' => array('partial_node_smalltile_widget'),
		),
		'mediumtiles' => array( // 4 columns, sort horizontally - 150 px
			'blog' => array('partial_node_mediumtile_blog'),
			'folder' => array('partial_node_mediumtile_folder'),
			'file' => array('partial_node_mediumtile_file'),
			'directory' => array('partial_node_mediumtile_directory'),
			'inbox' => array('partial_node_mediumtile_inbox'),
			'document' => array('partial_node_mediumtile_document'),
			'entry' => array('partial_node_mediumtile_entry'),
			'picture' => array('partial_node_mediumtile_picture'),
			'docfile' => array('partial_node_mediumtile_docfile'),
			'docextract' => array('partial_node_mediumtile_docextract'),
			'link' => array('partial_node_mediumtile_link'),
			'contact' => array('partial_node_mediumtile_contact'),
			'comment' => array('partial_node_mediumtile_comment'),
			'widget' => array('partial_node_mediumtile_widget'),
		),
		'largetiles' => array( // 3 columns, sort horizontally - 200 px
			'blog' => array('partial_node_largetile_blog'),
			'folder' => array('partial_node_largetile_folder'),
			'file' => array('partial_node_largetile_file'),
			'directory' => array('partial_node_largetile_directory'),
			'inbox' => array('partial_node_largetile_inbox'),
			'document' => array('partial_node_largetile_document'),
			'entry' => array('partial_node_largetile_entry'),
			'picture' => array('partial_node_largetile_picture'),
			'docfile' => array('partial_node_largetile_docfile'),
			'docextract' => array('partial_node_largetile_docextract'),
			'link' => array('partial_node_largetile_link'),
			'contact' => array('partial_node_largetile_contact'),
			'comment' => array('partial_node_largetile_comment'),
			'page' => array('partial_node_largetile_page'),
			'widget' => array('partial_node_largetile_widget'),
		),
		'gallery' => array( // 2 columns, sort horizontally
			'blog' => array('partial_node_gallery_blog'),
			'folder' => array('partial_node_gallery_folder'),
			'file' => array('partial_node_gallery_file'),
			'directory' => array('partial_node_gallery_directory'),
			'inbox' => array('partial_node_gallery_inbox'),
			'document' => array('partial_node_gallery_document'),
			'entry' => array('partial_node_gallery_entry'),
			'picture' => array('partial_node_gallery_picture'),
			'docfile' => array('partial_node_gallery_docfile'),
			'docextract' => array('partial_node_gallery_docextract'),
			'link' => array('partial_node_gallery_link'),
			'contact' => array('partial_node_gallery_contact'),
			'comment' => array('partial_node_gallery_comment'),
			'page' => array('partial_node_gallery_page'),
			'widget' => array('partial_node_gallery_widget'),
		),
		'columns' => array( // 2 columns, sort vertically
			'blog' => array('partial_node_column_blog'),
			'folder' => array('partial_node_column_folder'),
			'file' => array('partial_node_column_file'),
			'directory' => array('partial_node_column_directory'),
			'inbox' => array('partial_node_column_inbox'),
			'document' => array('partial_node_column_document'),
			'entry' => array('partial_node_column_entry'),
			'picture' => array('partial_node_column_picture'),
			'docfile' => array('partial_node_column_docfile'),
			'docextract' => array('partial_node_column_docextract'),
			'link' => array('partial_node_column_link'),
			'contact' => array('partial_node_column_contact'),
			'comment' => array('partial_node_column_comment'),
			'page' => array('partial_node_column_page'),
			'widget' => array('partial_node_column_widget'),
		),
		'panes' => array( // like planks, but include body
			'blog' => array('partial_node_pane_blog'),
			'folder' => array('partial_node_pane_folder'),
			'file' => array('partial_node_pane_file'),
			'directory' => array('partial_node_pane_directory'),
			'inbox' => array('partial_node_pane_inbox'),
			'document' => array('partial_node_pane_document'),
			'entry' => array('partial_node_pane_entry'),
			'picture' => array('partial_node_pane_picture'),
			'docfile' => array('partial_node_pane_docfile'),
			'docextract' => array('partial_node_pane_docextract'),
			'link' => array('partial_node_pane_link'),
			'contact' => array('partial_node_pane_contact'),
			'comment' => array('partial_node_pane_comment'),
			'page' => array('partial_node_pane_page'),
			'widget' => array('partial_node_pane_widget'),
		),
	),
);