<?php defined('SYSPATH') or die('No direct script access.');
return Point::commandfilter()
	->commands(array(
	'basicupdate'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'basicupdate',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'basicupdate',
		'access' => array(
			'token' => 'account_basics',
			'requires' => 'RE',
		),
	)),
	'updateimagesettings'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'updateimagesettings',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'updateimagesettings',
		'access' => array(
			'token' => 'account_image',
			'requires' => 'RE',
		),
	)),
	'uploadimage'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'uploadimage',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'uploadimage',
		'access' => array(
			'token' => 'account_image',
			'requires' => 'RE',
		),
	)),
	'changepassword'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'changepassword',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'changepassword',
		'access' => array(
			'token' => 'account_password',
			'requires' => 'RE',
		),
	)),
	'editdetailprofile'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'editdetailprofile',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'editdetailprofile',
		'access' => array(
			'token' => 'account_profile',
			'requires' => 'RE',
		),
	)),
	'previewdetailprofile'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'previewdetailprofile',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'previewdetailprofile',
		'access' => array(
			'token' => 'account_profile',
			'requires' => 'RE',
		),
	)),
	'savedetailprofile'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'savedetailprofile',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'savedetailprofile',
		'access' => array(
			'token' => 'account_profile',
			'requires' => 'RE',
		),
	)),
	'saveandeditdetailprofile'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'saveandeditdetailprofile',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'saveandeditdetailprofile',
		'access' => array(
			'token' => 'account_profile',
			'requires' => 'RE',
		),
	)),
	'canceldetailprofile'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'canceldetailprofile',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'canceldetailprofile',
		'access' => array(
			'token' => 'account_profile',
			'requires' => 'RE',
		),
	)),
	'savescratchpad'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'savescratchpad',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'savescratchpad',
		'access' => array(
			'token' => 'account_scratchpad',
			'requires' => 'RE',
		),
	)),
	'adminupdate'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'adminupdate',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'adminupdate',
		'access' => array(
			'token' => 'account_admin',
			'requires' => 'RE',
		),
	)),
	'saveadminnotes'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'saveadminnotes',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'saveadminnotes',
		'access' => array(
			'token' => 'account_adminnotes',
			'requires' => 'RE',
		),
	)),
	'updateblogid'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'updateblogid',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'updateblogid',
	)),
	'clearblogid'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'clearblogid',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'clearblogid',
	)),
	'updateinboxid'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'updateinboxid',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'updateinboxid',
	)),
	'clearinboxid'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'clearinboxid',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'clearinboxid',
	)),
	# parameters
	'myblogid'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'myblogid',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'myinboxid'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'myinboxid',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
));