<?php defined('SYSPATH') or die('No direct script access.');
	return Point::commandfilter()
		->commands(array(
			# commands
			// get
			'first'=> Point::command(
				array(
					'input' => array (
						'method' => POINT::DATASOURCE_ARRAY,
						'name' => 'get',
						'index' => 'first',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
					'command' => 'first',
				)
			),
			'previous'=> Point::command(
				array(
					'input' => array (
						'method' => POINT::DATASOURCE_ARRAY,
						'name' => 'get',
						'index' => 'previous',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
					'command' => 'previous',
				)
			),
			'next'=> Point::command(
				array(
					'input' => array (
						'method' => POINT::DATASOURCE_ARRAY,
						'name' => 'get',
						'index' => 'next',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
					'command' => 'next',
				)
			),
			'last'=> Point::command(
				array(
					'input' => array (
						'method' => POINT::DATASOURCE_ARRAY,
						'name' => 'get',
						'index' => 'last',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
					'command' => 'last',
				)
			),
			// post
			'add'=> Point::command(
				array(
					'input' => array (
						'method' => POINT::DATASOURCE_ARRAY,
						'name' => 'post',
						'index' => 'add',
					),
					'access' => array(
						'token' => 'manage_binders',
						'requires' => 'C',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
					'command' => 'add',
				)
			),
			'delete'=> Point::command(
				array(
					'input' => array (
						'method' => POINT::DATASOURCE_ARRAY,
						'name' => 'post',
						'index' => 'delete',
					),
					'access' => array(
						'token' => 'manage_binders',
						'requires' => 'D',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
					'command' => 'delete',
				)
			),
			'save'=> Point::command(
				array(
					'input' => array (
						'method' => POINT::DATASOURCE_ARRAY,
						'name' => 'post',
						'index' => 'save',
					),
					'access' => array(
						'token' => 'manage_binders',
						'requires' => 'E',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
					'command' => 'save',
				)
			),
			'cancel'=> Point::command(
				array(
					'input' => array (
						'method' => POINT::DATASOURCE_ARRAY,
						'name' => 'post',
						'index' => 'cancel',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
					'command' => 'cancel',
				)
			),
			# parameters
			'sessionid' => Point::parameter(
				array(
					'input' => array (
						'method' => POINT::DATASOURCE_ARRAYS,
						'names' => array('get','post'),
						'index' => 'sessionid',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
	));
