<?php defined('SYSPATH') or die('No direct script access.');
return Point::dictionary()
	-> variables(array(
	'sessionid' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'sessionid',
			),
			'output' => array(
				'index' => 'sessionid',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'errorsection' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'errorsection',
			),
			'output' => array(
				'index' => 'errorsection',
			),
			'datatype' => Point::DATATYPE_ARRAY,
		)
	),
	'messagesection' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'messagesection',
			),
			'output' => array(
				'index' => 'messagesection',
			),
			'datatype' => Point::DATATYPE_ARRAY,
		)
	),
	'recordid' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'recordid',
			),
			'output' => array(
				'index' => 'recordid',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'isrecord' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'isrecord',
			),
			'output' => array(
				'index' => 'isrecord',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'isbox' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'isBox',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => '1',
					),
				),
			),
			'output' => array(
				'index' => 'isbox',
				'filter' => array(
					'method' => Point::FILTER_CHECKED,
				),
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'isbox',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'isBox',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'isordered' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'isOrdered',
/*				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => '1',
					),
				), */
			),
			'output' => array(
				'index' => 'isordered',
				'filter' => array(
					'method' => Point::FILTER_CHECKED,
				),
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'isordered',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'isOrdered',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'isclosed' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Closed',
/*				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => '1',
					),
				), */
			),
			'output' => array(
				'index' => 'isclosed',
				'filter' => array(
					'method' => Point::FILTER_CHECKED,
				),
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'isclosed',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Closed',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'title' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Title',
			),
			'output' => array(
				'index' => 'title',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'title',
			),
			'rules' => array(
				array('not_empty'),
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Title',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'code' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Code',
			),
			'output' => array(
				'index' => 'code',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'code',
			),
			'rules' => array(
				array('not_empty'),
				array('regex', array(':value', '/^[a-zA-Z]\w++$/D')),
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Code',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'caption' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Caption',
			),
			'output' => array(
				'index' => 'caption',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'caption',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Caption',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'uri' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'SourceURI',
			),
			'output' => array(
				'index' => 'uri',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'uri',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'SourceURI',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'sourcetype' => Point::variable(
		array(
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'sourcetype',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'SourceType',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'internalselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'SourceType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'object',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'sourcetype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'object',
					),
				),
			),
			'output' => array(
				'index' => 'internalselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'uriselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'SourceType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'uri',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'sourcetype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'uri',
					),
				),
			),
			'output' => array(
				'index' => 'uriselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'externalselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'SourceType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'external',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'sourcetype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'external',
					),
				),
			),
			'output' => array(
				'index' => 'externalselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	// internal content
	'internaltype' => Point::variable(
		array(
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
			),
			// rules conditional not_empty (if sourcetype = internal) handled in code
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'documentselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'document',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'document',
					),
				),
			),
			'output' => array(
				'index' => 'documentselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'entryselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'entry',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'entry',
					),
				),
			),
			'output' => array(
				'index' => 'entryselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'libraryselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'item',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'item',
					),
				),
			),
			'output' => array(
				'index' => 'libraryselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'addressselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'address',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'address',
					),
				),
			),
			'output' => array(
				'index' => 'addressselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'mixedselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'mixed',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'mixed',
					),
				),
			),
			'output' => array(
				'index' => 'mixedselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'blogselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'blog',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'blog',
					),
				),
			),
			'output' => array(
				'index' => 'blogselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'pageselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'page',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'page',
					),
				),
			),
			'output' => array(
				'index' => 'pageselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'folioselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'folio',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'folio',
					),
				),
			),
			'output' => array(
				'index' => 'folioselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'topicsselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'topics',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'topics',
					),
				),
			),
			'output' => array(
				'index' => 'topicsselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'itemsselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'items',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'items',
					),
				),
			),
			'output' => array(
				'index' => 'itemsselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'addressesselected' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ObjectType',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'addresses',
					),
				),
			),
			'recover' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'internaltype',
				'filter' => array(
					'method' => Point::FILTER_COMPARE,
					'arguments' => array(
						'compare' => 'addresses',
					),
				),
			),
			'output' => array(
				'index' => 'addressesselected',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'parentcode' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'treerecord',
				'field' => 'ParentID',
				'filter' => array(
					'method' => Point::FILTER_LOOKUP,
					'arguments' => array(
						'name' => 'Binders',
						'index' => 'ID',
						'value' => 'Code',
					),
				),
			),
			'output' => array(
				'index' => 'parentcode',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'parentcode',
			),
			// rules verify lookup in code
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'treerecord',
				'field' => 'ParentID',
				'filter' => array(
					'method' => Point::FILTER_LOOKUP,
					'arguments' => array(
						'name' => 'Binders',
						'index' => 'Code',
						'value' => 'ID',
					),
				),
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'siblingorder' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'treerecord',
				'field' => 'SiblingOrder',
			),
			'output' => array(
				'index' => 'siblingorder',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'siblingorder',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'treerecord',
				'field' => 'SiblingOrder',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'date' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Date',
			),
			'output' => array(
				'index' => 'date',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'date',
			),
			'rules' => array(
				array('not_empty'),
				array('date'),
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Date',
			),
			'default' => Date('r'),
			'datatype' => Point::DATATYPE_DATE,
		)
	),
	'description' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Description',
			),
			'output' => array(
				'index' => 'description',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'description',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'Description',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'id' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ID',
			),
			'output' => array(
				'index' => 'id',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'id',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'ID',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'nodeid' => Point::variable(
		array(
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'id',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'treerecord',
				'field' => 'NodeID',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'createdate' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'CreateDate',
			),
			'output' => array(
				'index' => 'createdate',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'createdate',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'CreateDate',
			),
			'datatype' => Point::DATATYPE_DATE,
		)
	),
	'createuserid' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'CreateUserID',
			),
			'output' => array(
				'index' => 'createuserid',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'createuserid',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'CreateUserID',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'createname' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'CreateUserID',
				'filter' => array(
					'method' => Point::FILTER_LOOKUP,
					'arguments' => array(
						'name' => 'Access_Users',
						'index' => 'ID',
						'value' => 'Name',
					),
				),
			),
			'output' => array(
				'index' => 'createname',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'createcode' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'CreateUserID',
				'filter' => array(
					'method' => Point::FILTER_LOOKUP,
					'arguments' => array(
						'name' => 'Access_Users',
						'index' => 'ID',
						'value' => 'Code',
					),
				),
			),
			'output' => array(
				'index' => 'createcode',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'editdate' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'EditDate',
			),
			'output' => array(
				'index' => 'editdate',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'editdate',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'EditDate',
			),
			'datatype' => Point::DATATYPE_DATE,
		)
	),
	'edituserid' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'EditUserID',
			),
			'output' => array(
				'index' => 'edituserid',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'edituserid',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'EditUserID',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'editname' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'EditUserID',
				'filter' => array(
					'method' => Point::FILTER_LOOKUP,
					'arguments' => array(
						'name' => 'Access_Users',
						'index' => 'ID',
						'value' => 'Name',
					),
				),
			),
			'output' => array(
				'index' => 'editname',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'editcode' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'EditUserID',
				'filter' => array(
					'method' => Point::FILTER_LOOKUP,
					'arguments' => array(
						'name' => 'Access_Users',
						'index' => 'ID',
						'value' => 'Code',
					),
				),
			),
			'output' => array(
				'index' => 'editcode',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'recordversion' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'RecordVersion',
			),
			'output' => array(
				'index' => 'recordversion',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'recordversion',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORD,
				'recordindex' => 'bindersrecord',
				'field' => 'RecordVersion',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
));