<?php defined('SYSPATH') or die('No direct script access.');
return Point::dictionary()	
->variables(
array(
	'messagesection' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'messagesection',
			),
			'output' => array(
				'index' => 'messagesection',
			),
			'datatype' => Point::DATATYPE_OBJECT,
		)
	),
	'records' => Point::sectionlist()
	->properties(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_TABLEACTIVERECORD,
				'tableindex' => 'itemslisttable',
				'orderby' => array(
					array('Title','ASC'),
				),
/*				'callback' => array(
					'method' => array('Node','set_table_mixed_constraints'),
					'tableindex'=>'itemslisttable',
				),
*/
			),
			'output' => array(
				'index' => 'records',
			),
		)		
	)
	->variables(
		array(
			'instanceid' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'itemslistrecord',
						'field' => 'InstanceID',
					),
					'output' => array(
						'index' => 'instanceid',
					),
					'datatype' => Point::DATATYPE_INTEGER,
				)
			),
			'itempath' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_VARIABLE,
						'name' => 'itempath',
					),
					'output' => array(
						'index' => 'path',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'id' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'itemslistrecord',
						'field' => 'ID',
					),
					'output' => array(
						'index' => 'id',
					),
					'datatype' => Point::DATATYPE_INTEGER,
				)
			),
			'title' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'itemslistrecord',
						'field' => 'Title',
					),
					'output' => array(
						'index' => 'title',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'caption' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'itemslistrecord',
						'field' => 'Caption',
					),
					'output' => array(
						'index' => 'caption',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'date' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'itemslistrecord',
						'field' => 'ArticleDate',
					),
					'output' => array(
						'index' => 'date',
					),
					'datatype' => Point::DATATYPE_DATE,
				)
			),
			'istreetop' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'itemslistrecord',
						'field' => 'isTreeTop',
					),
					'output' => array(
						'index' => 'istreetop',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
				)
			),
			'objecttype' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'itemslistrecord',
						'field' => 'ObjectType',
					),
					'output' => array(
						'index' => 'objecttype',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'order' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'itemslistrecord',
						'field' => 'Order',
					),
					'output' => array(
						'index' => 'order',
					),
					'datatype' => Point::DATATYPE_INTEGER,
				)
			),
			'partialrecordindex' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_LOOKUP_PARTIAL,
						'recordtypeindex' => 'objecttype',
						'arrayname' => 'masterpartials',
					),
					'output' => array(
						'index' => 'partial_master_record',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			), 
		)
	),
));
