<?php defined('SYSPATH') or die('No direct script access.');
return Point::commandfilter()
->commands(array(
	# commands
	'first'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'first',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'first',
	)),
	'previous'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'previous',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'previous',
	)),
	'next'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'next',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'next',
	)),
	'last'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'last',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'last',
	)),
	'searched'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'searched',
		),
		'command' => 'searched',
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'fieldsearch'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'fieldsearch',
		),
		'command' => 'fieldsearch',
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'myarticles'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'myarticles',
		),
		'command' => 'myarticles',
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'recentupdates'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'recentupdates',
		),
		'command' => 'recentupdates',
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'changeperpage'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'changeperpage',
		),
		'command' => 'changeperpage',
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	# parameters
	'fsearch'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'fsearch',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'fsfield'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'fsfield',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'fswild'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'fswild',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'search'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'search',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'searchmethod'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'm',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'select'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'select',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'authorid'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'authorid',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'currentpage' => Point::parameter(array(
		'input' => array(
			'method' => Point::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'page',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'perpage' => Point::parameter(array(
		'input' => array(
			'method' => Point::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'perpage',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'orderby'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'orderby',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'direction'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'd',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'path' => Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'path',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'instanceid' => Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'instanceid',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'mode'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'mode',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'action'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'action',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'actionaddtargetid'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'actionaddtargetid',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'actionmovetargetid'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'actionmovetargetid',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'regenerateversions'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'regenerateversions',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'uploadreplaceexisting'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'uploadreplaceexisting',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'uploadgenerateversions'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'uploadgenerateversions',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'uploadnogeneraterecords'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'uploadnogeneraterecords',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'actionselections'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'actionselections',
		),
		'datatype' => Point::DATATYPE_ARRAY,
	)),
));
