<?php defined('SYSPATH') or die('No direct script access.');
return Point::dictionary()
	->variables(array(
	'registerdirect' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_SELF,
				'self' => TRUE,
			),
			'output' => array(
				'index' => 'registerdirect',
			),
			'access' => array(
				'token' => 'account_register',
				'requires' => 'CR',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
/*	'base' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'base',
			),
			'output' => array(
				'index' => 'base',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
*/
	'members' => Point::sectionlist()
	->properties(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_RECORDSET,
				'tableindex' => 'useraccounts',
				'recordvariable' => 'useraccount',
			),
			'output' => array(
				'index' => 'members',
			),
		)
	)
	->variables(
		array(
/*			'base' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_VARIABLE,
						'name' => 'base',
					),
					'output' => array(
						'index' => 'base',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
*/
			'usercode' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_RECORD,
						'recordindex' => 'useraccount',
						'field' => 'Code',
					),
					'output' => array(
						'index' => 'usercode',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'image' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_RECORD,
						'recordindex' => 'useraccount',
						'field' => 'Image',
					),
					'output' => array(
						'index' => 'image',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'name' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_RECORD,
						'recordindex' => 'useraccount',
						'field' => 'Name',
					),
					'output' => array(
						'index' => 'name',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'city' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_RECORD,
						'recordindex' => 'useraccount',
						'field' => 'City',
					),
					'output' => array(
						'index' => 'city',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'email' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_RECORD,
						'recordindex' => 'useraccount',
						'field' => 'Email',
					),
					'output' => array(
						'index' => 'email',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'role' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_RECORD,
						'recordindex' => 'useraccount',
						'field' => 'RoleID',
						'filter' => array(
							'method' => Point::FILTER_LOOKUP,
							'arguments' => array(
								'name' => 'Access_Group_Roles',
								'index' => 'ID',
								'value' => 'Name',
							),
						),
					),
					'output' => array(
						'index' => 'role',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'gender' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_RECORD,
						'recordindex' => 'useraccount',
						'field' => 'Gender',
					),
					'output' => array(
						'index' => 'gender',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'birthdate' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_RECORD,
						'recordindex' => 'useraccount',
						'field' => 'BirthDate',
					),
					'output' => array(
						'index' => 'birthdate',
					),
					'datatype' => Point::DATATYPE_DATE,
				)
			),
			'interests' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_RECORD,
						'recordindex' => 'useraccount',
						'field' => 'Interests',
					),
					'output' => array(
						'index' => 'interests',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'detailprofile' => Point::variable(array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_RECORD,
					'recordindex' => 'useraccount',
					'field' => 'DetailProfile',
					'filter' => array(
						'method' => Point::FILTER_MARKUP,
						'arguments' => array(
							'parser' => array(
								'method' => Point::DATASOURCE_RECORD,
								'recordindex' => 'useraccount',
								'field' => 'MarkupTypeID',
							),
						),
					),
				),
				'output' => array(
					'index' => 'detailprofile',
				),
				'datatype' => Point::DATATYPE_STRING,
			)),
			'joined' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_RECORD,
						'recordindex' => 'useraccount',
						'field' => 'CreateDate',
					),
					'output' => array(
						'index' => 'joined',
					),
					'datatype' => Point::DATATYPE_DATE,
				)
			),
		)
	),
));
