<?php defined('SYSPATH') or die('No direct script access.');
return Point::dictionary()	
	->variables(array(
	'base' => Point::variable(array(
		'retrieve' => array(
			'method' => Point::DATASOURCE_VARIABLE,
			'name' => 'base',
		),
		'output' => array(
			'index' => 'base',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'repositorieserrors' => Point::variable(array(
		'retrieve' => array(
			'method' => Point::DATASOURCE_VARIABLE,
			'name' => 'repositorieserrors',
		),
		'output' => array(
			'index' => 'repositorieserrors',
		),
		'datatype' => Point::DATATYPE_ARRAY,
	)),
	'messagesection' => Point::variable(array(
		'retrieve' => array(
			'method' => Point::DATASOURCE_VARIABLE,
			'name' => 'messagesection',
		),
		'output' => array(
			'index' => 'messagesection',
		),
		'datatype' => Point::DATATYPE_ARRAY,
	)),
	'records' => Point::sectionlist()
		->properties(array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_TABLEACTIVERECORD,
				'tableindex' => 'repositoriestable',
				'indexvariable' => 'index',
				'referencevariable' => 'reference',
				'referenceprefix' => 'repositories',
				'recordstatusindex' => 'recordstatus',
				'primarykeyfieldname' => 'ID',
				'primarykeyblockindex' => 'id',
				'newrecordsvariable' => 'newrecordcount',
				'orderby' => array(
					array('Directory'),
				),
				'zebrastripes' => array(
					'zebravariable' => 'zebraclass',
					'zebravalues' => array('zebraeven','zebraodd'),
				),
			),
			'output' => array(
				'index' => 'records',
			),
			'input' => array(
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'repositories',
				'referencevariable' => 'reference',
				'recordstatusindex' => 'recordstatus',
			),
			'store' => array(
				'method' => Point::DATATARGET_RECORDSET,
				'tableindex' => 'repositoriesrecords',
				'recordvariable' => 'repositoriesrecord',
			),
			'recordstatusindex' => 'recordstatus',
			'errorindexindex' => 'errorindex',
		))
		->variables(array(
			'zebraclass' => Point::variable(array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_VARIABLE,
					'name' => 'zebraclass',
				),
				'output' => array(
					'index' => 'zebraclass',
				),
				'datatype' => Point::DATATYPE_STRING,
			)),
			'reference' => Point::variable(array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_VARIABLE,
					'name' => 'reference',
				),
				'output' => array(
					'index' => 'reference',
				),
				'input' => array(
					'method' => Point::DATASOURCE_VARIABLE,
					'name' => 'reference',
				),
				'datatype' => Point::DATATYPE_STRING,
			)),
			'index' => Point::variable(array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_VARIABLE,
					'name' => 'index',
				),
				'output' => array(
					'index' => 'index',
				),
				'datatype' => Point::DATATYPE_STRING,
			)),
			'id' => Point::variable(array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_ACTIVERECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'ID',
				),
				'output' => array(
					'index' => 'id',
				),
				'input' => array(
					'method' => Point::DATASOURCE_ARRAY,
					'name' => 'post',
					'path' => array('repositories','id'),
					'referencevariable' => 'reference',
				),
				'store' => array(
					'method' => Point::DATATARGET_RECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'ID',
				),
				'datatype' => Point::DATATYPE_INTEGER,
			)),
			'Directory' => Point::variable(array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_ACTIVERECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'Directory',
				),
				'output' => array(
					'index' => 'directory',
				),
				'input' => array(
					'method' => Point::DATASOURCE_ARRAY,
					'name' => 'post',
					'path' => array('repositories','directory'),
					'referencevariable' => 'reference',
				),
				'store' => array(
					'method' => Point::DATATARGET_RECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'Directory',
				),
				'datatype' => Point::DATATYPE_STRING,
			)),
			'createdate' => Point::variable(array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_ACTIVERECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'CreateDate',
				),
				'output' => array(
					'index' => 'createdate',
				),
				'input' => array(
					'method' => Point::DATASOURCE_ARRAY,
					'name' => 'post',
					'path' => array('repositories','createdate'),
					'referencevariable' => 'reference',
				),
				'store' => array(
					'method' => Point::DATATARGET_RECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'CreateDate',
				),
				'datatype' => Point::DATATYPE_DATE,
			)),
			'createuserid' => Point::variable(array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_ACTIVERECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'CreateUserID',
				),
				'output' => array(
					'index' => 'createuserid',
				),
				'input' => array(
					'method' => Point::DATASOURCE_ARRAY,
					'name' => 'post',
					'path' => array('repositories','createuserid'),
					'referencevariable' => 'reference',
				),
				'store' => array(
					'method' => Point::DATATARGET_RECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'CreateUserID',
				),
				'datatype' => Point::DATATYPE_INTEGER,
			)),
			'editdate' => Point::variable(array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_ACTIVERECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'EditDate',
				),
				'output' => array(
					'index' => 'editdate',
				),
				'input' => array(
					'method' => Point::DATASOURCE_ARRAY,
					'name' => 'post',
					'path' => array('repositories','editdate'),
					'referencevariable' => 'reference',
				),
				'store' => array(
					'method' => Point::DATATARGET_RECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'EditDate',
				),
				'datatype' => Point::DATATYPE_DATE,
			)),
			'edituserid' => Point::variable(array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_ACTIVERECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'EditUserID',
				),
				'output' => array(
					'index' => 'edituserid',
				),
				'input' => array(
					'method' => Point::DATASOURCE_ARRAY,
					'name' => 'post',
					'path' => array('repositories','edituserid'),
					'referencevariable' => 'reference',
				),
				'store' => array(
					'method' => Point::DATATARGET_RECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'EditUserID',
				),
				'datatype' => Point::DATATYPE_INTEGER,
			)),
			'recordversion' => Point::variable(array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_ACTIVERECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'RecordVersion',
				),
				'output' => array(
					'index' => 'recordversion',
				),
				'input' => array(
					'method' => Point::DATASOURCE_ARRAY,
					'name' => 'post',
					'path' => array('repositories','recordversion'),
					'referencevariable' => 'reference',
				),
				'store' => array(
					'method' => Point::DATATARGET_RECORD,
					'recordindex' => 'repositoriesrecord',
					'field' => 'RecordVersion',
				),
				'datatype' => Point::DATATYPE_INTEGER,
			)),
			'recordstatus' => Point::variable(array(
				'retrieve' => array( // create node for initialization at output
					'method' => Point::DATASOURCE_SELF,
					'self' => NULL,
				),
				'output' => array(
					'index' => 'recordstatus',
				),
				'input' => array(
					'method' => Point::DATASOURCE_ARRAY,
					'name' => 'post',
					'path' => array('repositories','recordstatus'),
					'referencevariable' => 'reference',
				),
				'datatype' => Point::DATATYPE_STRING,
			)),
			'recordstatusclass' => Point::variable(array(
				'output' => array(
					'index' => 'recordstatusclass',
					'method' => Point::DATASOURCE_CONDITIONAL,
					'blockindex' => 'recordstatus',
					'compare' => array(
						'changed' => 'recordchanged',
						'posted' => 'recordposted',
						'error' => 'recorderror',
					),
				),
				'retrieve' => array( // create node for initialization at output
					'method' => Point::DATASOURCE_SELF,
					'self' => NULL,
				),
				'datatype' => Point::DATATYPE_STRING,
			)),
			'errorindex' => Point::variable(array(
				'input' => array(
					'method' => Point::DATASOURCE_SELF,
					'self' => NULL,
				),
				'output' => array(
					'index' => 'errorindex',
				),
				'datatype' => Point::DATATYPE_INTEGER,
			)),
			'deletecheckbox' => Point::variable(array(
				'input' => array(
					'method' => Point::DATASOURCE_ARRAY,
					'name' => 'post',
					'path' => array('repositories','deletecheckbox'),
					'referencevariable' => 'reference',
				),
				'datatype' => Point::DATATYPE_BOOLEAN,
			)),
		)),
	));