<?php defined('SYSPATH') or die('No direct script access.');
return array(
	'usercode' => array(
		'not_empty' => 'UserCode must not be empty',
		'regex' => 'UserCode cannot have spaces, must begin with an alphabetic character, and must contain alphabetic or numeric characters, or an underscore (no other special characters)',
	),
	'password' => array(
		'not_empty' => 'Password must not be empty',
		'min_length' => 'Password must have minimum 5 characters',
		'max_length' => 'Password must have maximum 20 characters',
		'matches' => 'Password must match Confirm Password (case sensitive)',
	),
	'email' => array(
		'not_empty' => 'Email must not be empty',
		'email' => 'Email must be a valid email format',
	),
	'name' => array(
		'not_empty' => 'Name field must not be empty',
	),
	'city' => array(
		'not_empty' => 'Town/City field must not be empty',
	),
	'memo' => array(
		'not_empty' => 'The note text field at the bottom (interests) must not be empty',
	),
	'23000' => 'Duplicate entry attempt. This is a permanent failure',
	'missing' => 'Missing data',
	'incomplete' => 'Incomplete data',
);