<?php 
return array (
		'mastertable' => 'users',
		'tables' => array (
			'users' => array
				(
					'tablename' => 'Access_Users',
					'primary_index' => 'id_index',
					'alternate_index' => 'usercode_index',
					'indexes' => array
						(
							'id_index' => array
								(
									'columns' => array('ID'),
									'index_type' => TableModel::UNIQUE
								),
							'usercode_index' => array
								(
									'columns' => array('Code'),
									'index_type' => TableModel::UNIQUE
								)
						),
					'relations' => array
						(
							'user_tokens_relation' => array
								(
									'index' => 'id_index',
									'remote_table' => 'sessiontokens',
									'remote_index' => 'user_id_index',
									'relation_type' => TableModel::ONE_TO_ONE
								),
						)
				),
			'sessiontokens' => array
				(
					'tablename' => 'Access_User_Session_Tokens',
					'primary_index' => 'id_index',
					'indexes' => array
						(
							'id_index' => array
								(
									'columns' => array('ID'),
									'index_type' => TableModel::UNIQUE
								),
							'user_id_index' => array
								(
									'columns' => array('UserID'),
									'index_type' => TableModel::UNIQUE
								)
						),
					'relations' => array
						(
							'users_relation' => array
								(
									'index' => 'user_id_index',
									'remote_table' => 'users',
									'remote_index' => 'id_index',
									'relation_type' => TableModel::ONE_TO_ONE
								)
						)
				),
			)
	);