<?php defined('SYSPATH') or die('No direct script access.');
// Muster Software Copyright (c) Henrik Bechmann, Toronto, Canada 2012. All rights reserved.
// See "musterlicence.txt" for licencing information.
// mustersoftware.net
class Controller_Error extends Controller_Site {

    protected $_requested_page; 
    protected $_message; 

	public function action_index()
	{
		$error = $this->request->param('id');
		$pageview = $this->_pageview;
		$dictionary = array();
		$dictionary['base'] = $this->_base;
		$dictionary['contact'] = system::instance()->ReturnEmailAddress;
		if ($error) {
			if (is_numeric($error)) {
				$this->response->status((int) $error); 
				$dictionary['exception'] = TRUE;
				$attributes = session::instance()->get_once('exception');
				if ($attributes) {
					$dictionary += $attributes;
				}
			} else {
				$errortext = Kohana::message('errors',$error);
				if (!$errortext) $errortext = $error;
				$dictionary['internalmessage'] = $errortext;
			}
		} else {
			$errortext = 'An unknown error has been called';
			$dictionary['internalmessage'] = $errortext;
		}
		$view = Template::view(array('error_page'),$dictionary);
		$pageview->centercolumn = $view;
		$this->response->body($pageview);
	}
}
