<?php defined('SYSPATH') or die('No direct script access.');
return Point::commandfilter()
->commands(array(
	# commands
	// get
	'first'=> Point::command(array(
		'input' => array(
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'first',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'first',
	)),
	'previous'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'previous',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'previous',
	)),
	'next'=> Point::command(array(
		'input' => array(
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'next',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'next',
	)),
	'last'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'last',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'last',
	)),
	'addattachments'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'addattachments',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'addattachments',
	)),
	'removeattachments'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'removeattachments',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'removeattachments',
	)),
	'saveattachments'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'saveattachments',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'saveattachments',
	)),
	'renumber'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'renumber',
		),
		'command' => 'renumber',
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	// parameters
	'currentpage' => Point::parameter(array(
		'input' => array(
			'method' => Point::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'page',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'perpage' => Point::parameter(array(
		'input' => array(
			'method' => Point::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'perpage',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'newattachmentid'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'newattachmentid',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'recordinstances'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'recordinstances',
		),
		'datatype' => Point::DATATYPE_ARRAY,
	)),
	'recordset'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'recordset',
		),
		'datatype' => Point::DATATYPE_ARRAY,
	)),
	'listview'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'listview',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
));
