<?php defined('SYSPATH') or die('No direct script access.');
return Point::dictionary()	
->variables(
array(
	'messagesection' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'messagesection',
			),
			'output' => array(
				'index' => 'messagesection',
			),
			'datatype' => Point::DATATYPE_OBJECT,
		)
	),
	'records' => Point::sectionlist()
	->properties(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_TABLEACTIVERECORD,
				'tableindex' => 'attachmentsadmintable',
				'orderby' => array(
					array('Title','ASC'),
				),
/*				'callback' => array(
					'method' => array('Node','set_table_mixed_constraints'),
					'tableindex'=>'attachmentsadmintable',
				),
*/
			),
			'output' => array(
				'index' => 'records',
			),
		)		
	)
	->variables(
		array(
			'recordinstanceid' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'AttachmentID',
					),
					'output' => array(
						'index' => 'recordinstanceid',
					),
					'datatype' => Point::DATATYPE_INTEGER,
				)
			),
			'id' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'ID',
					),
					'output' => array(
						'index' => 'id',
					),
					'datatype' => Point::DATATYPE_INTEGER,
				)
			),
			'title' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'Title',
					),
					'output' => array(
						'index' => 'title',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'caption' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'Caption',
					),
					'output' => array(
						'index' => 'caption',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'date' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'ArticleDate',
					),
					'output' => array(
						'index' => 'date',
					),
					'datatype' => Point::DATATYPE_DATE,
				)
			),
			'description' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'Description',
					),
					'output' => array(
						'index' => 'description',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'istreetop' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'isTreeTop',
					),
					'output' => array(
						'index' => 'istreetop',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
				)
			),
			'defaultfolio' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'DefaultFolio',
					),
					'output' => array(
						'index' => 'defaultfolio',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'objecttype' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'ObjectType',
					),
					'output' => array(
						'index' => 'objecttype',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'approval' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'Approval',
					),
					'output' => array(
						'index' => 'approval',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'blogcode' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'BlogCode',
					),
					'output' => array(
						'index' => 'blogcode',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'order' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'Order',
					),
					'output' => array(
						'index' => 'order',
					),
					'datatype' => Point::DATATYPE_INTEGER,
				)
			),
			'prompt' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'OrderText',
					),
					'output' => array(
						'index' => 'prompt',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'promptraw' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'OrderTextRaw',
					),
					'output' => array(
						'index' => 'promptraw',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'DividerAbove' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'DividerAbove',
					),
					'output' => array(
						'index' => 'dividerabove',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
				)
			),
			'DividerBelow' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'DividerBelow',
					),
					'output' => array(
						'index' => 'dividerbelow',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
				)
			),
			'instancedescription' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'attachmentsadminrecord',
						'field' => 'InstanceDescription',
					),
					'output' => array(
						'index' => 'instancedescription',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'partialrecordindex' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_LOOKUP_PARTIAL,
						'recordtypeindex' => 'objecttype',
						'arrayname' => 'adminnodepartials',
					),
					'output' => array(
						'index' => 'partial_admin_record',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			), 
		)
	),
));
