<?php defined('SYSPATH') or die('No direct script access.');
return Point::dictionary()	
	->variables(array(
	# general
/*	'base' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'base',
			),
			'output' => array(
				'index' => 'base',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
*/
	'listing' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'listing',
			),
			'output' => array(
				'index' => 'listing',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'breadcrumbs' =>Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'breadcrumbs',
			),
			'output' => array(
				'index' => 'breadcrumbs',
			),
			'datatype' => Point::DATATYPE_ARRAY,
		)
	),
	'isbreadcrumbs' =>Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'isbreadcrumbs',
			),
			'output' => array(
				'index' => 'isbreadcrumbs',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	# pagination
	'recordcount' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'recordcount',
			),
			'output' => array(
				'index' => 'recordcount',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'currentstartrecord' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'currentstartrecord',
			),
			'output' => array(
				'index' => 'currentstartrecord',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'currentendrecord' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'currentendrecord',
			),
			'output' => array(
				'index' => 'currentendrecord',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'pagecount' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'pagecount',
			),
			'output' => array(
				'index' => 'pagecount',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'currentpage' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'currentpage',
			),
			'output' => array(
				'index' => 'currentpage',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'atfirstdisabled' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'atfirstdisabled',
			),
			'output' => array(
				'index' => 'atfirstdisabled',
				'filter' => array(
					'method'=>Point::FILTER_DISABLED,
				),
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'atlastdisabled' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'atlastdisabled',
			),
			'output' => array(
				'index' => 'atlastdisabled',
				'filter' => array(
					'method'=>Point::FILTER_DISABLED,
				),
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	# recordlisting
	'records' => Point::sectionlist()
		->properties(
			array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_TABLEACTIVERECORD,
					'tableindex' => 'binderstable',
				),
				'output' => array(
					'index' => 'records',
				),
/*				'constraint' => array(
					'name' => 'listing',
					'value' => TRUE,
				),*/
			)		
		)
		->variables(
			array(
				'id' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'ID',
						),
						'output' => array(
							'index' => 'id',
						),
						'datatype' => Point::DATATYPE_INTEGER,
					)
				),
				'code' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'Code',
						),
						'output' => array(
							'index' => 'code',
						),
						'datatype' => Point::DATATYPE_STRING,
					)
				),
				'title' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'Title',
						),
						'output' => array(
							'index' => 'title',
						),
						'datatype' => Point::DATATYPE_STRING,
					)
				),
				'caption' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'Caption',
						),
						'output' => array(
							'index' => 'caption',
						),
						'datatype' => Point::DATATYPE_STRING,
					)
				),
				'description' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'Description',
						),
						'output' => array(
							'index' => 'description',
						),
						'datatype' => Point::DATATYPE_STRING,
					)
				),
				'date' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'Date',
						),
						'output' => array(
							'index' => 'date',
						),
						'datatype' => Point::DATATYPE_DATE,
					)
				),
				'isclosed' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'Closed',
							'filter' => array(
								'method' => Point::FILTER_COMPARE,
								'arguments' => array(
									'compare' => "1",
								),
							),
						),
						'output' => array(
							'index' => 'isclosed',
						),
						'datatype' => Point::DATATYPE_BOOLEAN,
					)
				),
				'isbox' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'isBox',
							'filter' => array(
								'method' => Point::FILTER_COMPARE,
								'arguments' => array(
									'compare' => "1",
								),
							),
						),
						'output' => array(
							'index' => 'isbox',
						),
						'datatype' => Point::DATATYPE_BOOLEAN,
					)
				),
				'sourcetype' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'SourceType',
						),
						'output' => array(
							'index' => 'sourcetype',
						),
						'datatype' => Point::DATATYPE_STRING,
					)
				),
				'objecttype' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'ObjectType',
						),
						'output' => array(
							'index' => 'objecttype',
						),
						'datatype' => Point::DATATYPE_STRING,
					)
				),
				'sourceuri' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'SourceURI',
						),
						'output' => array(
							'index' => 'sourceuri',
						),
						'datatype' => Point::DATATYPE_STRING,
					)
				),
				'parentid' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'ParentID',
						),
						'output' => array(
							'index' => 'parentid',
						),
						'datatype' => Point::DATATYPE_INTEGER,
					)
				),
				'parentcode' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'ParentCode',
						),
						'output' => array(
							'index' => 'parentcode',
						),
						'datatype' => Point::DATATYPE_STRING,
					)
				),
				'parenttitle' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'ParentTitle',
						),
						'output' => array(
							'index' => 'parenttitle',
						),
						'datatype' => Point::DATATYPE_STRING,
					)
				),
				'isordered' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'isOrdered',
							'filter' => array(
								'method' => Point::FILTER_COMPARE,
								'arguments' => array(
									'compare' => "1",
								),
							),
						),
						'output' => array(
							'index' => 'isordered',
						),
						'datatype' => Point::DATATYPE_BOOLEAN,
					)
				),
				'level' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'Level',
						),
						'output' => array(
							'index' => 'level',
						),
						'datatype' => Point::DATATYPE_INTEGER,
					)
				),
				'childcount' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'ChildCount',
						),
						'output' => array(
							'index' => 'childcount',
						),
						'datatype' => Point::DATATYPE_INTEGER,
					)
				),
				'siblingorder' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ACTIVERECORD,
							'recordindex' => 'bindersrecord',
							'field' => 'SiblingOrder',
						),
						'output' => array(
							'index' => 'siblingorder',
						),
						'datatype' => Point::DATATYPE_INTEGER,
					)
				),
			)
		),
	# state
	'sessionid' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'sessionid',
			),
			'output' => array(
				'index' => 'sessionid',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'searchvalue' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'searchvalue',
			),
			'output' => array(
				'index' => 'searchvalue',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'searchmethod' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'searchmethod',
			),
			'output' => array(
				'index' => 'searchmethod',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'orderby' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'orderby',
			),
			'output' => array(
				'index' => 'orderby',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'direction' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'direction',
			),
			'output' => array(
				'index' => 'direction',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	// currentpage is part of pagination
	// perpage is part of block select
	'perpage' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'perpage',
			),
			'output' => array(
				'index' => 'perpage',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'multiplepages' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'multiplepages',
			),
			'output' => array(
				'index' => 'multiplepages',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'perpageoptions' => Point::optionsection()
		->properties(
			array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_VARIABLE,
					'name' => 'perpage',
				),
				'output' => array(
					'index' => 'perpageoptions',
				),
				'datatype' => Point::DATATYPE_INTEGER,
/*				'constraint' => array(
					'name' => 'listing',
					'value' => TRUE,
				),*/
			)
		)
		->driver(
			array(
				'retrieve' => array(
					'method' => Point::DATASOURCE_VARIABLE,
					'name' => 'perpageoptions',
				),
				'datapoolarray' => array(
					'name' => 'perpageoption',
					'index' => 'value',
					'value' => 'caption',
				),
				'selectionvariable' => 'perpageselection',
			)
		)
		->variables(
			array(
				'value' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ARRAY,
							'name' => 'perpageoption',
							'index' => 'value',
							
						),
						'output' => array(
							'index' => 'value',
						),
						'datatype' => Point::DATATYPE_INTEGER,
					)
				),
				'selected' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_MATCH,
							'match' => array(
								'method' => Point::DATASOURCE_VARIABLE,
								'name' => 'perpageselection',
								'blockindex' => 'value',
							),
						),
						'output' => array(
							'index' => 'selected',
							'filter' => array(
								'method' => Point::FILTER_SELECTED,
							),
						),
						'datatype' => Point::DATATYPE_BOOLEAN,
					)
				),
				'caption' => Point::variable(
					array(
						'retrieve' => array(
							'method' => Point::DATASOURCE_ARRAY,
							'name' => 'perpageoption',
							'index' => 'caption',
						),
						'output' => array(
							'index' => 'caption',
						),
						'datatype' => Point::DATATYPE_STRING,
					)
				),
			)
		),
	));
