<?php defined('SYSPATH') or die('No direct script access.');
return Point::dictionary()	
->variables(
array(
	'id' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_ACTIVERECORD,
				'recordindex' => 'masterrecord',
				'field' => 'ID',
			),
			'output' => array(
				'index' => 'id',
			),
			'datatype' => Point::DATATYPE_INTEGER,
		)
	),
	'messagesection' => Point::variable(array(
		'retrieve' => array(
			'method' => Point::DATASOURCE_VARIABLE,
			'name' => 'messagesection',
		),
		'output' => array(
			'index' => 'messagesection',
		),
		'datatype' => Point::DATATYPE_ARRAY,
	)),
	'collaboratorlist' => Point::sectionlist()
	->properties(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_TABLEACTIVERECORD,
				'tableindex' => 'collaboratortable',
				'orderby' => array(
					array('Name','ASC'),
				),
			),
			'output' => array(
				'index' => 'collaboratorlist',
			),
		)		
	)
	->variables(
		array(
			'id' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'collaboratorrecord',
						'field' => 'ID',
					),
					'output' => array(
						'index' => 'collaboratorid',
					),
					'datatype' => Point::DATATYPE_INTEGER,
				)
			),
			'userid' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'collaboratorrecord',
						'field' => 'UserID',
					),
					'output' => array(
						'index' => 'userid',
					),
					'datatype' => Point::DATATYPE_INTEGER,
				)
			),
			'articleid' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'collaboratorrecord',
						'field' => 'ArticleID',
					),
					'output' => array(
						'index' => 'articleid',
					),
					'datatype' => Point::DATATYPE_INTEGER,
				)
			),
			'usercode' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'collaboratorrecord',
						'field' => 'UserCode',
					),
					'output' => array(
						'index' => 'usercode',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'username' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'collaboratorrecord',
						'field' => 'Name',
					),
					'output' => array(
						'index' => 'username',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
		)
	),
));
