<?php defined('SYSPATH') or die('No direct script access.');
return Point::commandfilter()
	->commands(array(
	'first'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'first',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'first',
	)),
	'previous'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'previous',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'previous',
	)),
	'next'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'next',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'next',
	)),
	'last'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'last',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'last',
	)),
	// post
	'request'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'request',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'request',
	)),
	'publish'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'publish',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'publish',
	)),
	'approve'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'approve',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'approve',
	)),
	'decline'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'decline',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'decline',
	)),
	'draft'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'draft',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'draft',
	)),
	'editarticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'editarticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'editarticle',
	)),
	'trasharticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'trasharticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'trasharticle',
	)),
	'untrasharticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'untrasharticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'untrasharticle',
	)),
	'deleteforeverarticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'deleteforeverarticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'deleteforeverarticle',
	)),
	'savearticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'savearticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'savearticle',
	)),
	'saveapproval'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'saveapproval',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'saveapproval',
	)),
	'saveandedit'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'saveandedit',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'saveandedit',
	)),
	'previewarticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'previewarticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'previewarticle',
	)),
	'cancelarticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'cancelarticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'cancelarticle',
	)),
	'mode'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'mode',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'action'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'action',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'parentid'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'parentid',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'notification' => Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'notification',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
));
