<?php defined('SYSPATH') or die('No direct script access.');
return Point::dictionary()	
->variables(
array(
	'messagesection' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'messagesection',
			),
			'output' => array(
				'index' => 'messagesection',
			),
			'datatype' => Point::DATATYPE_OBJECT,
		)
	),
	'containerslist' => Point::sectionlist()
	->properties(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_TABLEACTIVERECORD,
				'tableindex' => 'containerstable',
				'orderby' => array(
					array('Title','ASC'),
				),
/*				'callback' => array(
					'method' => array('Node','set_folder_query'),
					'tableindex'=>'containerstable',
				),
*/
			),
			'output' => array(
				'index' => 'containerslist',
			),
		)		
	)
	->variables(
		array(
			'recordinstanceid' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'containersrecord',
						'field' => 'InstanceID',
					),
					'output' => array(
						'index' => 'recordinstanceid',
					),
					'datatype' => Point::DATATYPE_INTEGER,
				)
			),
			'id' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'containersrecord',
						'field' => 'ID',
					),
					'output' => array(
						'index' => 'id',
					),
					'datatype' => Point::DATATYPE_INTEGER,
				)
			),
			'title' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'containersrecord',
						'field' => 'Title',
					),
					'output' => array(
						'index' => 'title',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'caption' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'containersrecord',
						'field' => 'Caption',
					),
					'output' => array(
						'index' => 'caption',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'date' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'containersrecord',
						'field' => 'ArticleDate',
					),
					'output' => array(
						'index' => 'date',
					),
					'datatype' => Point::DATATYPE_DATE,
				)
			),
			'description' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'containersrecord',
						'field' => 'Description',
					),
					'output' => array(
						'index' => 'description',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'istreetop' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'containersrecord',
						'field' => 'isTreeTop',
					),
					'output' => array(
						'index' => 'istreetop',
					),
					'datatype' => Point::DATATYPE_BOOLEAN,
				)
			),
			'defaultfolio' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'containersrecord',
						'field' => 'DefaultFolio',
					),
					'output' => array(
						'index' => 'defaultfolio',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'objecttype' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'containersrecord',
						'field' => 'ObjectType',
					),
					'output' => array(
						'index' => 'objecttype',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'approval' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_ACTIVERECORD,
						'recordindex' => 'containersrecord',
						'field' => 'Approval',
					),
					'output' => array(
						'index' => 'approval',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			),
			'partialrecordindex' => Point::variable(
				array(
					'retrieve' => array(
						'method' => Point::DATASOURCE_LOOKUP_PARTIAL,
						'recordtypeindex' => 'objecttype',
						'arrayname' => 'admincontainerpartials',
					),
					'output' => array(
						'index' => 'partial_admin_containers',
					),
					'datatype' => Point::DATATYPE_STRING,
				)
			), 
		)
	),
));
