<?php defined('SYSPATH') or die('No direct script access.');
return Point::commandfilter()
->commands(array(
	# commands
	// get
	'first'=> Point::command(array(
		'input' => array(
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'first',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'first',
	)),
	'previous'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'previous',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'previous',
	)),
	'next'=> Point::command(array(
		'input' => array(
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'next',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'next',
	)),
	'last'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'last',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'last',
	)),
	'addcontents'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'addcontents',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'addcontents',
	)),
	'removecontents'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'removecontents',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'removecontents',
	)),
	'savecontents'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'savecontents',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'savecontents',
	)),
	'changeperpage'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'changeperpage',
		),
		'command' => 'changeperpage',
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'renumber'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'renumber',
		),
		'command' => 'renumber',
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	# parameters
	'search'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'search',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'searchmethod'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'm',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'select'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'select',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'authorid'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'authorid',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'currentpage' => Point::parameter(array(
		'input' => array(
			'method' => Point::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'page',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'perpage' => Point::parameter(array(
		'input' => array(
			'method' => Point::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'perpage',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'orderby'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'orderby',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'direction'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'd',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'newcontentid'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'newcontentid',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'recordinstances'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'recordinstances',
		),
		'datatype' => Point::DATATYPE_ARRAY,
	)),
	'recordset'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'recordset',
		),
		'datatype' => Point::DATATYPE_ARRAY,
	)),
	'listview'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'listview',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
));
