<?php defined('SYSPATH') or die('No direct script access.');
return Point::dictionary()
	->variables(array(
	'login' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_SELF,
				'self' => TRUE,
			),
			'output' => array(
				'index' => 'login',
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
			'constraint' => array(
				'name' => 'login',
				'value' => TRUE,
			),
		)
	),
	'loginerrors' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'loginerrors',
			),
			'output' => array(
				'index' => 'loginerrors',
			),
			'datatype' => Point::DATATYPE_ARRAY,
		)
	),
	'loginmessages' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'loginmessages',
			),
			'output' => array(
				'index' => 'loginmessages',
			),
			'datatype' => Point::DATATYPE_ARRAY,
		)
	),
/*	'base' => Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_VARIABLE,
				'name' => 'base',
			),
			'output' => array(
				'index' => 'base',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
*/
	'usercode'=> Point::variable(
		array(
			'retrieve' => array(
				'method' => Point::DATASOURCE_RECORD,
				'recordindex' => 'useraccount',
				'field' => 'Code',
			),
			'input' => array (
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'usercode',
			),
			'output' => array(
				'index' => 'usercode',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'password'=> Point::variable(
		array(
			'input' => array (
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'password',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'remember'=> Point::variable(
		array(
			'input' => array (
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'remember',
			),
			'output' => array(
				'index' => 'remember',
				'filter' => array(
					'method' => Point::FILTER_CHECKED,
				),
			),
			'datatype' => Point::DATATYPE_BOOLEAN,
		)
	),
	'usercodeemail'=> Point::variable(
		array(
			'input' => array (
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'usercodeemail',
			),
			'output' => array(
				'index' => 'usercodeemail',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
	'passwordemail'=> Point::variable(
		array(
			'input' => array (
				'method' => Point::DATASOURCE_ARRAY,
				'name' => 'post',
				'index' => 'passwordemail',
			),
			'output' => array(
				'index' => 'passwordemail',
			),
			'datatype' => Point::DATATYPE_STRING,
		)
	),
));
