<?php defined('SYSPATH') or die('No direct script access.');
return Point::commandfilter()
	->commands(array(
	'first'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'first',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'first',
	)),
	'previous'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'previous',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'previous',
	)),
	'next'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'next',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'next',
	)),
	'last'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'last',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'last',
	)),
	'administer'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'administer',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'administer',
	)),
	'plainview'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'get',
			'index' => 'plainview',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'plainview',
	)),
	// post
	'hide'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'hide',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'hide',
	)),
	'unhide'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'unhide',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'unhide',
	)),
	'lock'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'lock',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'lock',
	)),
	'unlock'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'unlock',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'unlock',
	)),
	'opencomments'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'opencomments',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'opencomments',
	)),
	'closecomments'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'closecomments',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'closecomments',
	)),
	'freeze'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'freeze',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'freeze',
	)),
	'unfreeze'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'unfreeze',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'unfreeze',
	)),
	'draft'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'draft',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'draft',
	)),
	'request'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'request',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'request',
	)),
	'publish'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'publish',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'publish',
	)),
	'approve'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'approve',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'approve',
	)),
	'decline'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'decline',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'decline',
	)),
	'addpagesibling'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'addpagesibling',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'addpagesibling',
		'parameters' => array('mode' => 'admin',),
	)),
	'addpagebranch'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'addpagebranch',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'addpagebranch',
		'parameters' => array('mode' => 'admin',),
	)),
	'addpagechild'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'addpagechild',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'addpagechild',
		'parameters' => array('mode' => 'admin',),
	)),
	'changepageparentid'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'changepageparentid',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'changepageparentid',
	)),
	'clearpageparentid'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'clearpageparentid',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'clearpageparentid',
	)),
	'editarticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'editarticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'editarticle',
	)),
	'addarticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'addarticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'addarticle',
		'parameters' => array('mode' => 'admin',),
	)),
	'comment'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'comment',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'comment',
	)),
	'trasharticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'trasharticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'trasharticle',
	)),
	'untrasharticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'untrasharticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'untrasharticle',
	)),
	'deleteforeverarticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'deleteforeverarticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'deleteforeverarticle',
	)),
	'savearticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'savearticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'savearticle',
	)),
	'saveandedit'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'saveandedit',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'saveandedit',
	)),
	'previewarticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'previewarticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'previewarticle',
	)),
	'cancelarticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'cancelarticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'cancelarticle',
	)),
	'savenotes'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'savenotes',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'savenotes',
	)),
	'changeauthor'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'changeauthor',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'changeauthor',
	)),
	'saveapproval'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'saveapproval',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'saveapproval',
	)),
	'savefollowup'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'savefollowup',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'savefollowup',
	)),
	'uploaddocfile'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'uploaddocfile',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'uploaddocfile',
	)),
	'uploadpicture'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'uploadpicture',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'uploadpicture',
	)),
	'recreateversions'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'recreateversions',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'recreateversions',
	)),
	'changearticle'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'changearticle',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'changearticle',
	)),
	/*
	'removeauthor'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'removeauthor',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'removeauthor',
	)),
	'addauthor'=> Point::command(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'addauthor',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
		'command' => 'addauthor',
	)),
	*/
	# parameters
	'notification' => Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'notification',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'changetarget' =>Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'changetarget',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'pageid' =>Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'pageid',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'pageparentid' => Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'pageparentid',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'newpageparentid' => Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'newpageparentid',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'instanceid' => Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'instanceid',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'path' => Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'path',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'instanceid' => Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'instanceid',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'perpage'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('post','get'),
			'index' => 'perpage',
		),
		'datatype' => Point::DATATYPE_INTEGER,
	)),
	'mode'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'mode',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'action'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAYS,
			'names' => array('get','post'),
			'index' => 'action',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'file'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'file',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
	'uploadreplaceexisting'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'uploadreplaceexisting',
		),
		'datatype' => Point::DATATYPE_BOOLEAN,
	)),
	'uploadpictureversion'=> Point::parameter(array(
		'input' => array (
			'method' => POINT::DATASOURCE_ARRAY,
			'name' => 'post',
			'index' => 'uploadpictureversion',
		),
		'datatype' => Point::DATATYPE_STRING,
	)),
));
