<?php defined('SYSPATH') or die('No direct script access.');
return array(
	'name' => array(
		'not_empty' => 'Name must not be empty',
	),
	'city' => array(
		'not_empty' => 'City must not be empty',
	),
	'email' => array(
		'not_empty' => 'Email address must not be empty',
		'email' => 'Email must have valid email format',
	),
	'birthdate' => array(
		'date' => 'Birthdate must be a valid date',
	),
	'password' => array(
		'not_empty' => 'Current Password must not be empty',
		'User_Account::verify_password' => 'Current password is incorrect',
	),
	'newpassword' => array(
		'not_empty' => 'New Password must not be empty',
		'min_length' => 'New password must be at least five characters',
		'max_length' => 'New password must be no more than twenty characters',
		'matches' => 'New password must match Confirm password',
	),
	'conflict' => 'Another user has updated this record, so the update has failed permanently',
	'delete' => 'Another user has deleted this record, so the update has failed permanently',
	'basicupdate' => 'Basic information has been updated',
	'pictureupdate' => 'Picture privacy setting has been updated',
	'pictureupload' => 'Picture has been uploaded',
	'imagenamenotsaved' => 'Picture name was not saved. Try again',
	'passwordupdate' => 'The password has been updated, and will be required for the next login',
	'scratchpadupdate' => 'The scratchpad has been updated',
	'adminnotesupdate' => 'The admin notes have been updated',
	'adminupdate' => 'Administration options have been updated, and an email has been sent to the user',
	'profileupdate' => 'Your detail profile and profile settings have been updated',
	'profilepreview' => 'The preview is shown under the text area. It has not been saved',
	'registerupdate' => 'The user has been registered and an email has been sent the the user',
);