<?php 
return array (
	'mastertable' => 'binders',
	'tables' => array (
		'binders' => array
			(
				'tablename' => 'Binders_View',
				'basetable' => 'Binders',
				'primary_index' => 'id_index',
				'alternate_index' => 'code_index',
				'indexes' => array
					(
						'id_index' => array
							(
								'columns' => array('ID'),
								'index_type' => TableModel::UNIQUE
							),
						'code_index' => array
							(
								'columns' => array('Code'),
								'index_type' => TableModel::UNIQUE
							)
					),
				'relations' => array
					(
						'tree_relation' => array
							(
								'index' => 'id_index',
								'remote_table' => 'tree',
								'remote_index' => 'id_index',
								'relation_type' => TableModel::ONE_TO_ONE
							),
					),
			),
		'tree' => array
			(
				'tablename' => 'Binders_Tree',
				'primary_index' => 'id_index',
				'audit' => FALSE,
				'concurrency' => FALSE,
				'indexes' => array
					(
						'id_index' => array
							(
								'columns' => array('NodeID'),
								'index_type' => TableModel::UNIQUE
							),
					),
				'relations' => array
					(
						'binder_relation' => array
							(
								'index' => 'id_index',
								'remote_table' => 'binders',
								'remote_index' => 'id_index',
								'relation_type' => TableModel::ONE_TO_ONE
							),
					),
			),
		)
	);